Subject: Re: LW's FP precission - I AM ASHAMED
From: [email-masked] (Alan Chan )
To: Multiple recipients of list <[email-masked]>
Date: Wed, 17 Apr 1996 15:57:10 -0700

You wrote: 
>
>Ernie,
>
>I am ashamed to say that you are absolutely right.  Ignore my previous
>posts.  I was NOT scaling the sphere, that's why it was working.  I 
guess
>I need to get some sleep, for being so silly.  I had not realized it 
was
>a ratio problem (difference between micro/macro proportion), as you 
had
>clearly explained in your original post.  I assumed it only happened 
on
>macro proportions.  How silly of me: any scene with that goes over the
>ratio will have problems.
>It makes PERFECT sense, now.
>I take the problem is LW's floating point precission, and
>working with more precission should solve the problem.
>Is there a way to easily work with higher precision numbers from a
>programming stand-point (ie. make LW work with higher precission
>by developing your own floating point routine -not being constrained 
to
>what the compiler's highest precission fp number is)?

The tradeoff would be longer computational times, as I understand it..

AC